// source: interconnectionmodule/interconnectionmodule.proto
/**
 * @fileoverview
 * @enhanceable
 * @suppress {missingRequire} reports error on implicit type usages.
 * @suppress {messageConventions} JS Compiler reports an error if a variable or
 *     field starts with 'MSG_' and isn't a translatable message.
 * @public
 */
// GENERATED CODE -- DO NOT EDIT!
/* eslint-disable */
// @ts-nocheck

var jspb = require('google-protobuf');
var goog = jspb;
var global =
  (typeof globalThis !== 'undefined' && globalThis) ||
  (typeof window !== 'undefined' && window) ||
  (typeof global !== 'undefined' && global) ||
  (typeof self !== 'undefined' && self) ||
  (function () { return this; }).call(null) ||
  Function('return this')();

var uml_pb = require('../uml_pb.js');
goog.object.extend(proto, uml_pb);
var google_protobuf_wrappers_pb = require('google-protobuf/google/protobuf/wrappers_pb.js');
goog.object.extend(proto, google_protobuf_wrappers_pb);
var commonmodule_commonmodule_pb = require('../commonmodule/commonmodule_pb.js');
goog.object.extend(proto, commonmodule_commonmodule_pb);
goog.exportSymbol('proto.interconnectionmodule.InterconnectionCSG', null, global);
goog.exportSymbol('proto.interconnectionmodule.InterconnectionControlScheduleFSCH', null, global);
goog.exportSymbol('proto.interconnectionmodule.InterconnectionPlannedScheduleProfile', null, global);
goog.exportSymbol('proto.interconnectionmodule.InterconnectionPoint', null, global);
goog.exportSymbol('proto.interconnectionmodule.InterconnectionRequestedScheduleProfile', null, global);
goog.exportSymbol('proto.interconnectionmodule.InterconnectionSchedule', null, global);
goog.exportSymbol('proto.interconnectionmodule.InterconnectionScheduleFSCC', null, global);
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.interconnectionmodule.InterconnectionPoint = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.interconnectionmodule.InterconnectionPoint, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.interconnectionmodule.InterconnectionPoint.displayName = 'proto.interconnectionmodule.InterconnectionPoint';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.interconnectionmodule.InterconnectionCSG = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.interconnectionmodule.InterconnectionCSG.repeatedFields_, null);
};
goog.inherits(proto.interconnectionmodule.InterconnectionCSG, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.interconnectionmodule.InterconnectionCSG.displayName = 'proto.interconnectionmodule.InterconnectionCSG';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.interconnectionmodule.InterconnectionControlScheduleFSCH = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.interconnectionmodule.InterconnectionControlScheduleFSCH, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.interconnectionmodule.InterconnectionControlScheduleFSCH.displayName = 'proto.interconnectionmodule.InterconnectionControlScheduleFSCH';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.interconnectionmodule.InterconnectionScheduleFSCC = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.interconnectionmodule.InterconnectionScheduleFSCC.repeatedFields_, null);
};
goog.inherits(proto.interconnectionmodule.InterconnectionScheduleFSCC, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.interconnectionmodule.InterconnectionScheduleFSCC.displayName = 'proto.interconnectionmodule.InterconnectionScheduleFSCC';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.interconnectionmodule.InterconnectionSchedule = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.interconnectionmodule.InterconnectionSchedule, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.interconnectionmodule.InterconnectionSchedule.displayName = 'proto.interconnectionmodule.InterconnectionSchedule';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.interconnectionmodule.InterconnectionPlannedScheduleProfile = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.interconnectionmodule.InterconnectionPlannedScheduleProfile, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.displayName = 'proto.interconnectionmodule.InterconnectionPlannedScheduleProfile';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.interconnectionmodule.InterconnectionRequestedScheduleProfile = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.interconnectionmodule.InterconnectionRequestedScheduleProfile, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.displayName = 'proto.interconnectionmodule.InterconnectionRequestedScheduleProfile';
}



if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.interconnectionmodule.InterconnectionPoint.prototype.toObject = function (opt_includeInstance) {
    return proto.interconnectionmodule.InterconnectionPoint.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.interconnectionmodule.InterconnectionPoint} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.interconnectionmodule.InterconnectionPoint.toObject = function (includeInstance, msg) {
    var f, obj = {
      blackstartenabled: (f = msg.getBlackstartenabled()) && commonmodule_commonmodule_pb.ControlSPC.toObject(includeInstance, f),
      frequencysetpointenabled: (f = msg.getFrequencysetpointenabled()) && commonmodule_commonmodule_pb.ControlSPC.toObject(includeInstance, f),
      island: (f = msg.getIsland()) && commonmodule_commonmodule_pb.ControlSPC.toObject(includeInstance, f),
      pcthzdroop: (f = msg.getPcthzdroop()) && google_protobuf_wrappers_pb.FloatValue.toObject(includeInstance, f),
      pctvdroop: (f = msg.getPctvdroop()) && google_protobuf_wrappers_pb.FloatValue.toObject(includeInstance, f),
      ramprates: (f = msg.getRamprates()) && commonmodule_commonmodule_pb.RampRate.toObject(includeInstance, f),
      reactivepwrsetpointenabled: (f = msg.getReactivepwrsetpointenabled()) && commonmodule_commonmodule_pb.ControlSPC.toObject(includeInstance, f),
      realpwrsetpointenabled: (f = msg.getRealpwrsetpointenabled()) && commonmodule_commonmodule_pb.ControlSPC.toObject(includeInstance, f),
      voltagesetpointenabled: (f = msg.getVoltagesetpointenabled()) && commonmodule_commonmodule_pb.ControlSPC.toObject(includeInstance, f),
      starttime: (f = msg.getStarttime()) && commonmodule_commonmodule_pb.Timestamp.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.interconnectionmodule.InterconnectionPoint}
 */
proto.interconnectionmodule.InterconnectionPoint.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.interconnectionmodule.InterconnectionPoint;
  return proto.interconnectionmodule.InterconnectionPoint.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.interconnectionmodule.InterconnectionPoint} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.interconnectionmodule.InterconnectionPoint}
 */
proto.interconnectionmodule.InterconnectionPoint.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.ControlSPC;
        reader.readMessage(value, commonmodule_commonmodule_pb.ControlSPC.deserializeBinaryFromReader);
        msg.setBlackstartenabled(value);
        break;
      case 2:
        var value = new commonmodule_commonmodule_pb.ControlSPC;
        reader.readMessage(value, commonmodule_commonmodule_pb.ControlSPC.deserializeBinaryFromReader);
        msg.setFrequencysetpointenabled(value);
        break;
      case 3:
        var value = new commonmodule_commonmodule_pb.ControlSPC;
        reader.readMessage(value, commonmodule_commonmodule_pb.ControlSPC.deserializeBinaryFromReader);
        msg.setIsland(value);
        break;
      case 4:
        var value = new google_protobuf_wrappers_pb.FloatValue;
        reader.readMessage(value, google_protobuf_wrappers_pb.FloatValue.deserializeBinaryFromReader);
        msg.setPcthzdroop(value);
        break;
      case 5:
        var value = new google_protobuf_wrappers_pb.FloatValue;
        reader.readMessage(value, google_protobuf_wrappers_pb.FloatValue.deserializeBinaryFromReader);
        msg.setPctvdroop(value);
        break;
      case 6:
        var value = new commonmodule_commonmodule_pb.RampRate;
        reader.readMessage(value, commonmodule_commonmodule_pb.RampRate.deserializeBinaryFromReader);
        msg.setRamprates(value);
        break;
      case 7:
        var value = new commonmodule_commonmodule_pb.ControlSPC;
        reader.readMessage(value, commonmodule_commonmodule_pb.ControlSPC.deserializeBinaryFromReader);
        msg.setReactivepwrsetpointenabled(value);
        break;
      case 8:
        var value = new commonmodule_commonmodule_pb.ControlSPC;
        reader.readMessage(value, commonmodule_commonmodule_pb.ControlSPC.deserializeBinaryFromReader);
        msg.setRealpwrsetpointenabled(value);
        break;
      case 9:
        var value = new commonmodule_commonmodule_pb.ControlSPC;
        reader.readMessage(value, commonmodule_commonmodule_pb.ControlSPC.deserializeBinaryFromReader);
        msg.setVoltagesetpointenabled(value);
        break;
      case 10:
        var value = new commonmodule_commonmodule_pb.Timestamp;
        reader.readMessage(value, commonmodule_commonmodule_pb.Timestamp.deserializeBinaryFromReader);
        msg.setStarttime(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.interconnectionmodule.InterconnectionPoint.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.interconnectionmodule.InterconnectionPoint} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.interconnectionmodule.InterconnectionPoint.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getBlackstartenabled();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.ControlSPC.serializeBinaryToWriter
    );
  }
  f = message.getFrequencysetpointenabled();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      commonmodule_commonmodule_pb.ControlSPC.serializeBinaryToWriter
    );
  }
  f = message.getIsland();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      commonmodule_commonmodule_pb.ControlSPC.serializeBinaryToWriter
    );
  }
  f = message.getPcthzdroop();
  if (f != null) {
    writer.writeMessage(
      4,
      f,
      google_protobuf_wrappers_pb.FloatValue.serializeBinaryToWriter
    );
  }
  f = message.getPctvdroop();
  if (f != null) {
    writer.writeMessage(
      5,
      f,
      google_protobuf_wrappers_pb.FloatValue.serializeBinaryToWriter
    );
  }
  f = message.getRamprates();
  if (f != null) {
    writer.writeMessage(
      6,
      f,
      commonmodule_commonmodule_pb.RampRate.serializeBinaryToWriter
    );
  }
  f = message.getReactivepwrsetpointenabled();
  if (f != null) {
    writer.writeMessage(
      7,
      f,
      commonmodule_commonmodule_pb.ControlSPC.serializeBinaryToWriter
    );
  }
  f = message.getRealpwrsetpointenabled();
  if (f != null) {
    writer.writeMessage(
      8,
      f,
      commonmodule_commonmodule_pb.ControlSPC.serializeBinaryToWriter
    );
  }
  f = message.getVoltagesetpointenabled();
  if (f != null) {
    writer.writeMessage(
      9,
      f,
      commonmodule_commonmodule_pb.ControlSPC.serializeBinaryToWriter
    );
  }
  f = message.getStarttime();
  if (f != null) {
    writer.writeMessage(
      10,
      f,
      commonmodule_commonmodule_pb.Timestamp.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.ControlSPC blackStartEnabled = 1;
 * @return {?proto.commonmodule.ControlSPC}
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.getBlackstartenabled = function () {
  return /** @type{?proto.commonmodule.ControlSPC} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ControlSPC, 1));
};


/**
 * @param {?proto.commonmodule.ControlSPC|undefined} value
 * @return {!proto.interconnectionmodule.InterconnectionPoint} returns this
*/
proto.interconnectionmodule.InterconnectionPoint.prototype.setBlackstartenabled = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.interconnectionmodule.InterconnectionPoint} returns this
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.clearBlackstartenabled = function () {
  return this.setBlackstartenabled(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.hasBlackstartenabled = function () {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional commonmodule.ControlSPC frequencySetPointEnabled = 2;
 * @return {?proto.commonmodule.ControlSPC}
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.getFrequencysetpointenabled = function () {
  return /** @type{?proto.commonmodule.ControlSPC} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ControlSPC, 2));
};


/**
 * @param {?proto.commonmodule.ControlSPC|undefined} value
 * @return {!proto.interconnectionmodule.InterconnectionPoint} returns this
*/
proto.interconnectionmodule.InterconnectionPoint.prototype.setFrequencysetpointenabled = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.interconnectionmodule.InterconnectionPoint} returns this
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.clearFrequencysetpointenabled = function () {
  return this.setFrequencysetpointenabled(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.hasFrequencysetpointenabled = function () {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional commonmodule.ControlSPC island = 3;
 * @return {?proto.commonmodule.ControlSPC}
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.getIsland = function () {
  return /** @type{?proto.commonmodule.ControlSPC} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ControlSPC, 3));
};


/**
 * @param {?proto.commonmodule.ControlSPC|undefined} value
 * @return {!proto.interconnectionmodule.InterconnectionPoint} returns this
*/
proto.interconnectionmodule.InterconnectionPoint.prototype.setIsland = function (value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.interconnectionmodule.InterconnectionPoint} returns this
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.clearIsland = function () {
  return this.setIsland(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.hasIsland = function () {
  return jspb.Message.getField(this, 3) != null;
};


/**
 * optional google.protobuf.FloatValue pctHzDroop = 4;
 * @return {?proto.google.protobuf.FloatValue}
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.getPcthzdroop = function () {
  return /** @type{?proto.google.protobuf.FloatValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.FloatValue, 4));
};


/**
 * @param {?proto.google.protobuf.FloatValue|undefined} value
 * @return {!proto.interconnectionmodule.InterconnectionPoint} returns this
*/
proto.interconnectionmodule.InterconnectionPoint.prototype.setPcthzdroop = function (value) {
  return jspb.Message.setWrapperField(this, 4, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.interconnectionmodule.InterconnectionPoint} returns this
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.clearPcthzdroop = function () {
  return this.setPcthzdroop(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.hasPcthzdroop = function () {
  return jspb.Message.getField(this, 4) != null;
};


/**
 * optional google.protobuf.FloatValue pctVDroop = 5;
 * @return {?proto.google.protobuf.FloatValue}
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.getPctvdroop = function () {
  return /** @type{?proto.google.protobuf.FloatValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.FloatValue, 5));
};


/**
 * @param {?proto.google.protobuf.FloatValue|undefined} value
 * @return {!proto.interconnectionmodule.InterconnectionPoint} returns this
*/
proto.interconnectionmodule.InterconnectionPoint.prototype.setPctvdroop = function (value) {
  return jspb.Message.setWrapperField(this, 5, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.interconnectionmodule.InterconnectionPoint} returns this
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.clearPctvdroop = function () {
  return this.setPctvdroop(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.hasPctvdroop = function () {
  return jspb.Message.getField(this, 5) != null;
};


/**
 * optional commonmodule.RampRate rampRates = 6;
 * @return {?proto.commonmodule.RampRate}
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.getRamprates = function () {
  return /** @type{?proto.commonmodule.RampRate} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.RampRate, 6));
};


/**
 * @param {?proto.commonmodule.RampRate|undefined} value
 * @return {!proto.interconnectionmodule.InterconnectionPoint} returns this
*/
proto.interconnectionmodule.InterconnectionPoint.prototype.setRamprates = function (value) {
  return jspb.Message.setWrapperField(this, 6, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.interconnectionmodule.InterconnectionPoint} returns this
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.clearRamprates = function () {
  return this.setRamprates(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.hasRamprates = function () {
  return jspb.Message.getField(this, 6) != null;
};


/**
 * optional commonmodule.ControlSPC reactivePwrSetPointEnabled = 7;
 * @return {?proto.commonmodule.ControlSPC}
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.getReactivepwrsetpointenabled = function () {
  return /** @type{?proto.commonmodule.ControlSPC} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ControlSPC, 7));
};


/**
 * @param {?proto.commonmodule.ControlSPC|undefined} value
 * @return {!proto.interconnectionmodule.InterconnectionPoint} returns this
*/
proto.interconnectionmodule.InterconnectionPoint.prototype.setReactivepwrsetpointenabled = function (value) {
  return jspb.Message.setWrapperField(this, 7, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.interconnectionmodule.InterconnectionPoint} returns this
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.clearReactivepwrsetpointenabled = function () {
  return this.setReactivepwrsetpointenabled(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.hasReactivepwrsetpointenabled = function () {
  return jspb.Message.getField(this, 7) != null;
};


/**
 * optional commonmodule.ControlSPC realPwrSetPointEnabled = 8;
 * @return {?proto.commonmodule.ControlSPC}
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.getRealpwrsetpointenabled = function () {
  return /** @type{?proto.commonmodule.ControlSPC} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ControlSPC, 8));
};


/**
 * @param {?proto.commonmodule.ControlSPC|undefined} value
 * @return {!proto.interconnectionmodule.InterconnectionPoint} returns this
*/
proto.interconnectionmodule.InterconnectionPoint.prototype.setRealpwrsetpointenabled = function (value) {
  return jspb.Message.setWrapperField(this, 8, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.interconnectionmodule.InterconnectionPoint} returns this
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.clearRealpwrsetpointenabled = function () {
  return this.setRealpwrsetpointenabled(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.hasRealpwrsetpointenabled = function () {
  return jspb.Message.getField(this, 8) != null;
};


/**
 * optional commonmodule.ControlSPC voltageSetPointEnabled = 9;
 * @return {?proto.commonmodule.ControlSPC}
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.getVoltagesetpointenabled = function () {
  return /** @type{?proto.commonmodule.ControlSPC} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ControlSPC, 9));
};


/**
 * @param {?proto.commonmodule.ControlSPC|undefined} value
 * @return {!proto.interconnectionmodule.InterconnectionPoint} returns this
*/
proto.interconnectionmodule.InterconnectionPoint.prototype.setVoltagesetpointenabled = function (value) {
  return jspb.Message.setWrapperField(this, 9, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.interconnectionmodule.InterconnectionPoint} returns this
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.clearVoltagesetpointenabled = function () {
  return this.setVoltagesetpointenabled(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.hasVoltagesetpointenabled = function () {
  return jspb.Message.getField(this, 9) != null;
};


/**
 * optional commonmodule.Timestamp startTime = 10;
 * @return {?proto.commonmodule.Timestamp}
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.getStarttime = function () {
  return /** @type{?proto.commonmodule.Timestamp} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.Timestamp, 10));
};


/**
 * @param {?proto.commonmodule.Timestamp|undefined} value
 * @return {!proto.interconnectionmodule.InterconnectionPoint} returns this
*/
proto.interconnectionmodule.InterconnectionPoint.prototype.setStarttime = function (value) {
  return jspb.Message.setWrapperField(this, 10, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.interconnectionmodule.InterconnectionPoint} returns this
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.clearStarttime = function () {
  return this.setStarttime(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.interconnectionmodule.InterconnectionPoint.prototype.hasStarttime = function () {
  return jspb.Message.getField(this, 10) != null;
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.interconnectionmodule.InterconnectionCSG.repeatedFields_ = [1];



if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.interconnectionmodule.InterconnectionCSG.prototype.toObject = function (opt_includeInstance) {
    return proto.interconnectionmodule.InterconnectionCSG.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.interconnectionmodule.InterconnectionCSG} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.interconnectionmodule.InterconnectionCSG.toObject = function (includeInstance, msg) {
    var f, obj = {
      crvptsList: jspb.Message.toObjectList(msg.getCrvptsList(),
        proto.interconnectionmodule.InterconnectionPoint.toObject, includeInstance)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.interconnectionmodule.InterconnectionCSG}
 */
proto.interconnectionmodule.InterconnectionCSG.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.interconnectionmodule.InterconnectionCSG;
  return proto.interconnectionmodule.InterconnectionCSG.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.interconnectionmodule.InterconnectionCSG} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.interconnectionmodule.InterconnectionCSG}
 */
proto.interconnectionmodule.InterconnectionCSG.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new proto.interconnectionmodule.InterconnectionPoint;
        reader.readMessage(value, proto.interconnectionmodule.InterconnectionPoint.deserializeBinaryFromReader);
        msg.addCrvpts(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.interconnectionmodule.InterconnectionCSG.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.interconnectionmodule.InterconnectionCSG.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.interconnectionmodule.InterconnectionCSG} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.interconnectionmodule.InterconnectionCSG.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getCrvptsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      1,
      f,
      proto.interconnectionmodule.InterconnectionPoint.serializeBinaryToWriter
    );
  }
};


/**
 * repeated InterconnectionPoint crvPts = 1;
 * @return {!Array<!proto.interconnectionmodule.InterconnectionPoint>}
 */
proto.interconnectionmodule.InterconnectionCSG.prototype.getCrvptsList = function () {
  return /** @type{!Array<!proto.interconnectionmodule.InterconnectionPoint>} */ (
    jspb.Message.getRepeatedWrapperField(this, proto.interconnectionmodule.InterconnectionPoint, 1));
};


/**
 * @param {!Array<!proto.interconnectionmodule.InterconnectionPoint>} value
 * @return {!proto.interconnectionmodule.InterconnectionCSG} returns this
*/
proto.interconnectionmodule.InterconnectionCSG.prototype.setCrvptsList = function (value) {
  return jspb.Message.setRepeatedWrapperField(this, 1, value);
};


/**
 * @param {!proto.interconnectionmodule.InterconnectionPoint=} opt_value
 * @param {number=} opt_index
 * @return {!proto.interconnectionmodule.InterconnectionPoint}
 */
proto.interconnectionmodule.InterconnectionCSG.prototype.addCrvpts = function (opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 1, opt_value, proto.interconnectionmodule.InterconnectionPoint, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.interconnectionmodule.InterconnectionCSG} returns this
 */
proto.interconnectionmodule.InterconnectionCSG.prototype.clearCrvptsList = function () {
  return this.setCrvptsList([]);
};





if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.interconnectionmodule.InterconnectionControlScheduleFSCH.prototype.toObject = function (opt_includeInstance) {
    return proto.interconnectionmodule.InterconnectionControlScheduleFSCH.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.interconnectionmodule.InterconnectionControlScheduleFSCH} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.interconnectionmodule.InterconnectionControlScheduleFSCH.toObject = function (includeInstance, msg) {
    var f, obj = {
      valdcsg: (f = msg.getValdcsg()) && proto.interconnectionmodule.InterconnectionCSG.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.interconnectionmodule.InterconnectionControlScheduleFSCH}
 */
proto.interconnectionmodule.InterconnectionControlScheduleFSCH.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.interconnectionmodule.InterconnectionControlScheduleFSCH;
  return proto.interconnectionmodule.InterconnectionControlScheduleFSCH.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.interconnectionmodule.InterconnectionControlScheduleFSCH} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.interconnectionmodule.InterconnectionControlScheduleFSCH}
 */
proto.interconnectionmodule.InterconnectionControlScheduleFSCH.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new proto.interconnectionmodule.InterconnectionCSG;
        reader.readMessage(value, proto.interconnectionmodule.InterconnectionCSG.deserializeBinaryFromReader);
        msg.setValdcsg(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.interconnectionmodule.InterconnectionControlScheduleFSCH.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.interconnectionmodule.InterconnectionControlScheduleFSCH.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.interconnectionmodule.InterconnectionControlScheduleFSCH} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.interconnectionmodule.InterconnectionControlScheduleFSCH.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getValdcsg();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      proto.interconnectionmodule.InterconnectionCSG.serializeBinaryToWriter
    );
  }
};


/**
 * optional InterconnectionCSG ValDCSG = 1;
 * @return {?proto.interconnectionmodule.InterconnectionCSG}
 */
proto.interconnectionmodule.InterconnectionControlScheduleFSCH.prototype.getValdcsg = function () {
  return /** @type{?proto.interconnectionmodule.InterconnectionCSG} */ (
    jspb.Message.getWrapperField(this, proto.interconnectionmodule.InterconnectionCSG, 1));
};


/**
 * @param {?proto.interconnectionmodule.InterconnectionCSG|undefined} value
 * @return {!proto.interconnectionmodule.InterconnectionControlScheduleFSCH} returns this
*/
proto.interconnectionmodule.InterconnectionControlScheduleFSCH.prototype.setValdcsg = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.interconnectionmodule.InterconnectionControlScheduleFSCH} returns this
 */
proto.interconnectionmodule.InterconnectionControlScheduleFSCH.prototype.clearValdcsg = function () {
  return this.setValdcsg(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.interconnectionmodule.InterconnectionControlScheduleFSCH.prototype.hasValdcsg = function () {
  return jspb.Message.getField(this, 1) != null;
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.interconnectionmodule.InterconnectionScheduleFSCC.repeatedFields_ = [2];



if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.interconnectionmodule.InterconnectionScheduleFSCC.prototype.toObject = function (opt_includeInstance) {
    return proto.interconnectionmodule.InterconnectionScheduleFSCC.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.interconnectionmodule.InterconnectionScheduleFSCC} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.interconnectionmodule.InterconnectionScheduleFSCC.toObject = function (includeInstance, msg) {
    var f, obj = {
      controlfscc: (f = msg.getControlfscc()) && commonmodule_commonmodule_pb.ControlFSCC.toObject(includeInstance, f),
      interconnectioncontrolschedulefschList: jspb.Message.toObjectList(msg.getInterconnectioncontrolschedulefschList(),
        proto.interconnectionmodule.InterconnectionControlScheduleFSCH.toObject, includeInstance)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.interconnectionmodule.InterconnectionScheduleFSCC}
 */
proto.interconnectionmodule.InterconnectionScheduleFSCC.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.interconnectionmodule.InterconnectionScheduleFSCC;
  return proto.interconnectionmodule.InterconnectionScheduleFSCC.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.interconnectionmodule.InterconnectionScheduleFSCC} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.interconnectionmodule.InterconnectionScheduleFSCC}
 */
proto.interconnectionmodule.InterconnectionScheduleFSCC.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.ControlFSCC;
        reader.readMessage(value, commonmodule_commonmodule_pb.ControlFSCC.deserializeBinaryFromReader);
        msg.setControlfscc(value);
        break;
      case 2:
        var value = new proto.interconnectionmodule.InterconnectionControlScheduleFSCH;
        reader.readMessage(value, proto.interconnectionmodule.InterconnectionControlScheduleFSCH.deserializeBinaryFromReader);
        msg.addInterconnectioncontrolschedulefsch(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.interconnectionmodule.InterconnectionScheduleFSCC.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.interconnectionmodule.InterconnectionScheduleFSCC.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.interconnectionmodule.InterconnectionScheduleFSCC} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.interconnectionmodule.InterconnectionScheduleFSCC.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getControlfscc();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.ControlFSCC.serializeBinaryToWriter
    );
  }
  f = message.getInterconnectioncontrolschedulefschList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      2,
      f,
      proto.interconnectionmodule.InterconnectionControlScheduleFSCH.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.ControlFSCC controlFSCC = 1;
 * @return {?proto.commonmodule.ControlFSCC}
 */
proto.interconnectionmodule.InterconnectionScheduleFSCC.prototype.getControlfscc = function () {
  return /** @type{?proto.commonmodule.ControlFSCC} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ControlFSCC, 1));
};


/**
 * @param {?proto.commonmodule.ControlFSCC|undefined} value
 * @return {!proto.interconnectionmodule.InterconnectionScheduleFSCC} returns this
*/
proto.interconnectionmodule.InterconnectionScheduleFSCC.prototype.setControlfscc = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.interconnectionmodule.InterconnectionScheduleFSCC} returns this
 */
proto.interconnectionmodule.InterconnectionScheduleFSCC.prototype.clearControlfscc = function () {
  return this.setControlfscc(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.interconnectionmodule.InterconnectionScheduleFSCC.prototype.hasControlfscc = function () {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * repeated InterconnectionControlScheduleFSCH interconnectionControlScheduleFSCH = 2;
 * @return {!Array<!proto.interconnectionmodule.InterconnectionControlScheduleFSCH>}
 */
proto.interconnectionmodule.InterconnectionScheduleFSCC.prototype.getInterconnectioncontrolschedulefschList = function () {
  return /** @type{!Array<!proto.interconnectionmodule.InterconnectionControlScheduleFSCH>} */ (
    jspb.Message.getRepeatedWrapperField(this, proto.interconnectionmodule.InterconnectionControlScheduleFSCH, 2));
};


/**
 * @param {!Array<!proto.interconnectionmodule.InterconnectionControlScheduleFSCH>} value
 * @return {!proto.interconnectionmodule.InterconnectionScheduleFSCC} returns this
*/
proto.interconnectionmodule.InterconnectionScheduleFSCC.prototype.setInterconnectioncontrolschedulefschList = function (value) {
  return jspb.Message.setRepeatedWrapperField(this, 2, value);
};


/**
 * @param {!proto.interconnectionmodule.InterconnectionControlScheduleFSCH=} opt_value
 * @param {number=} opt_index
 * @return {!proto.interconnectionmodule.InterconnectionControlScheduleFSCH}
 */
proto.interconnectionmodule.InterconnectionScheduleFSCC.prototype.addInterconnectioncontrolschedulefsch = function (opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 2, opt_value, proto.interconnectionmodule.InterconnectionControlScheduleFSCH, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.interconnectionmodule.InterconnectionScheduleFSCC} returns this
 */
proto.interconnectionmodule.InterconnectionScheduleFSCC.prototype.clearInterconnectioncontrolschedulefschList = function () {
  return this.setInterconnectioncontrolschedulefschList([]);
};





if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.interconnectionmodule.InterconnectionSchedule.prototype.toObject = function (opt_includeInstance) {
    return proto.interconnectionmodule.InterconnectionSchedule.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.interconnectionmodule.InterconnectionSchedule} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.interconnectionmodule.InterconnectionSchedule.toObject = function (includeInstance, msg) {
    var f, obj = {
      identifiedobject: (f = msg.getIdentifiedobject()) && commonmodule_commonmodule_pb.IdentifiedObject.toObject(includeInstance, f),
      check: (f = msg.getCheck()) && commonmodule_commonmodule_pb.CheckConditions.toObject(includeInstance, f),
      interconnectionschedulefscc: (f = msg.getInterconnectionschedulefscc()) && proto.interconnectionmodule.InterconnectionScheduleFSCC.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.interconnectionmodule.InterconnectionSchedule}
 */
proto.interconnectionmodule.InterconnectionSchedule.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.interconnectionmodule.InterconnectionSchedule;
  return proto.interconnectionmodule.InterconnectionSchedule.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.interconnectionmodule.InterconnectionSchedule} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.interconnectionmodule.InterconnectionSchedule}
 */
proto.interconnectionmodule.InterconnectionSchedule.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.IdentifiedObject;
        reader.readMessage(value, commonmodule_commonmodule_pb.IdentifiedObject.deserializeBinaryFromReader);
        msg.setIdentifiedobject(value);
        break;
      case 2:
        var value = new commonmodule_commonmodule_pb.CheckConditions;
        reader.readMessage(value, commonmodule_commonmodule_pb.CheckConditions.deserializeBinaryFromReader);
        msg.setCheck(value);
        break;
      case 3:
        var value = new proto.interconnectionmodule.InterconnectionScheduleFSCC;
        reader.readMessage(value, proto.interconnectionmodule.InterconnectionScheduleFSCC.deserializeBinaryFromReader);
        msg.setInterconnectionschedulefscc(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.interconnectionmodule.InterconnectionSchedule.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.interconnectionmodule.InterconnectionSchedule.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.interconnectionmodule.InterconnectionSchedule} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.interconnectionmodule.InterconnectionSchedule.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getIdentifiedobject();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.IdentifiedObject.serializeBinaryToWriter
    );
  }
  f = message.getCheck();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      commonmodule_commonmodule_pb.CheckConditions.serializeBinaryToWriter
    );
  }
  f = message.getInterconnectionschedulefscc();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      proto.interconnectionmodule.InterconnectionScheduleFSCC.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.IdentifiedObject identifiedObject = 1;
 * @return {?proto.commonmodule.IdentifiedObject}
 */
proto.interconnectionmodule.InterconnectionSchedule.prototype.getIdentifiedobject = function () {
  return /** @type{?proto.commonmodule.IdentifiedObject} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.IdentifiedObject, 1));
};


/**
 * @param {?proto.commonmodule.IdentifiedObject|undefined} value
 * @return {!proto.interconnectionmodule.InterconnectionSchedule} returns this
*/
proto.interconnectionmodule.InterconnectionSchedule.prototype.setIdentifiedobject = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.interconnectionmodule.InterconnectionSchedule} returns this
 */
proto.interconnectionmodule.InterconnectionSchedule.prototype.clearIdentifiedobject = function () {
  return this.setIdentifiedobject(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.interconnectionmodule.InterconnectionSchedule.prototype.hasIdentifiedobject = function () {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional commonmodule.CheckConditions check = 2;
 * @return {?proto.commonmodule.CheckConditions}
 */
proto.interconnectionmodule.InterconnectionSchedule.prototype.getCheck = function () {
  return /** @type{?proto.commonmodule.CheckConditions} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.CheckConditions, 2));
};


/**
 * @param {?proto.commonmodule.CheckConditions|undefined} value
 * @return {!proto.interconnectionmodule.InterconnectionSchedule} returns this
*/
proto.interconnectionmodule.InterconnectionSchedule.prototype.setCheck = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.interconnectionmodule.InterconnectionSchedule} returns this
 */
proto.interconnectionmodule.InterconnectionSchedule.prototype.clearCheck = function () {
  return this.setCheck(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.interconnectionmodule.InterconnectionSchedule.prototype.hasCheck = function () {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional InterconnectionScheduleFSCC interconnectionScheduleFSCC = 3;
 * @return {?proto.interconnectionmodule.InterconnectionScheduleFSCC}
 */
proto.interconnectionmodule.InterconnectionSchedule.prototype.getInterconnectionschedulefscc = function () {
  return /** @type{?proto.interconnectionmodule.InterconnectionScheduleFSCC} */ (
    jspb.Message.getWrapperField(this, proto.interconnectionmodule.InterconnectionScheduleFSCC, 3));
};


/**
 * @param {?proto.interconnectionmodule.InterconnectionScheduleFSCC|undefined} value
 * @return {!proto.interconnectionmodule.InterconnectionSchedule} returns this
*/
proto.interconnectionmodule.InterconnectionSchedule.prototype.setInterconnectionschedulefscc = function (value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.interconnectionmodule.InterconnectionSchedule} returns this
 */
proto.interconnectionmodule.InterconnectionSchedule.prototype.clearInterconnectionschedulefscc = function () {
  return this.setInterconnectionschedulefscc(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.interconnectionmodule.InterconnectionSchedule.prototype.hasInterconnectionschedulefscc = function () {
  return jspb.Message.getField(this, 3) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.prototype.toObject = function (opt_includeInstance) {
    return proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.interconnectionmodule.InterconnectionPlannedScheduleProfile} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.toObject = function (includeInstance, msg) {
    var f, obj = {
      controlmessageinfo: (f = msg.getControlmessageinfo()) && commonmodule_commonmodule_pb.ControlMessageInfo.toObject(includeInstance, f),
      requestercircuitsegmentservice: (f = msg.getRequestercircuitsegmentservice()) && commonmodule_commonmodule_pb.ApplicationSystem.toObject(includeInstance, f),
      interconnectionschedule: (f = msg.getInterconnectionschedule()) && proto.interconnectionmodule.InterconnectionSchedule.toObject(includeInstance, f),
      tiepoint: (f = msg.getTiepoint()) && commonmodule_commonmodule_pb.ConductingEquipment.toObject(includeInstance, f),
      respondercircuitsegmentservice: (f = msg.getRespondercircuitsegmentservice()) && commonmodule_commonmodule_pb.ApplicationSystem.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.interconnectionmodule.InterconnectionPlannedScheduleProfile}
 */
proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.interconnectionmodule.InterconnectionPlannedScheduleProfile;
  return proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.interconnectionmodule.InterconnectionPlannedScheduleProfile} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.interconnectionmodule.InterconnectionPlannedScheduleProfile}
 */
proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.ControlMessageInfo;
        reader.readMessage(value, commonmodule_commonmodule_pb.ControlMessageInfo.deserializeBinaryFromReader);
        msg.setControlmessageinfo(value);
        break;
      case 2:
        var value = new commonmodule_commonmodule_pb.ApplicationSystem;
        reader.readMessage(value, commonmodule_commonmodule_pb.ApplicationSystem.deserializeBinaryFromReader);
        msg.setRequestercircuitsegmentservice(value);
        break;
      case 3:
        var value = new proto.interconnectionmodule.InterconnectionSchedule;
        reader.readMessage(value, proto.interconnectionmodule.InterconnectionSchedule.deserializeBinaryFromReader);
        msg.setInterconnectionschedule(value);
        break;
      case 4:
        var value = new commonmodule_commonmodule_pb.ConductingEquipment;
        reader.readMessage(value, commonmodule_commonmodule_pb.ConductingEquipment.deserializeBinaryFromReader);
        msg.setTiepoint(value);
        break;
      case 5:
        var value = new commonmodule_commonmodule_pb.ApplicationSystem;
        reader.readMessage(value, commonmodule_commonmodule_pb.ApplicationSystem.deserializeBinaryFromReader);
        msg.setRespondercircuitsegmentservice(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.interconnectionmodule.InterconnectionPlannedScheduleProfile} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getControlmessageinfo();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.ControlMessageInfo.serializeBinaryToWriter
    );
  }
  f = message.getRequestercircuitsegmentservice();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      commonmodule_commonmodule_pb.ApplicationSystem.serializeBinaryToWriter
    );
  }
  f = message.getInterconnectionschedule();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      proto.interconnectionmodule.InterconnectionSchedule.serializeBinaryToWriter
    );
  }
  f = message.getTiepoint();
  if (f != null) {
    writer.writeMessage(
      4,
      f,
      commonmodule_commonmodule_pb.ConductingEquipment.serializeBinaryToWriter
    );
  }
  f = message.getRespondercircuitsegmentservice();
  if (f != null) {
    writer.writeMessage(
      5,
      f,
      commonmodule_commonmodule_pb.ApplicationSystem.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.ControlMessageInfo controlMessageInfo = 1;
 * @return {?proto.commonmodule.ControlMessageInfo}
 */
proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.prototype.getControlmessageinfo = function () {
  return /** @type{?proto.commonmodule.ControlMessageInfo} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ControlMessageInfo, 1));
};


/**
 * @param {?proto.commonmodule.ControlMessageInfo|undefined} value
 * @return {!proto.interconnectionmodule.InterconnectionPlannedScheduleProfile} returns this
*/
proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.prototype.setControlmessageinfo = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.interconnectionmodule.InterconnectionPlannedScheduleProfile} returns this
 */
proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.prototype.clearControlmessageinfo = function () {
  return this.setControlmessageinfo(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.prototype.hasControlmessageinfo = function () {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional commonmodule.ApplicationSystem requesterCircuitSegmentService = 2;
 * @return {?proto.commonmodule.ApplicationSystem}
 */
proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.prototype.getRequestercircuitsegmentservice = function () {
  return /** @type{?proto.commonmodule.ApplicationSystem} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ApplicationSystem, 2));
};


/**
 * @param {?proto.commonmodule.ApplicationSystem|undefined} value
 * @return {!proto.interconnectionmodule.InterconnectionPlannedScheduleProfile} returns this
*/
proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.prototype.setRequestercircuitsegmentservice = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.interconnectionmodule.InterconnectionPlannedScheduleProfile} returns this
 */
proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.prototype.clearRequestercircuitsegmentservice = function () {
  return this.setRequestercircuitsegmentservice(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.prototype.hasRequestercircuitsegmentservice = function () {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional InterconnectionSchedule interconnectionSchedule = 3;
 * @return {?proto.interconnectionmodule.InterconnectionSchedule}
 */
proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.prototype.getInterconnectionschedule = function () {
  return /** @type{?proto.interconnectionmodule.InterconnectionSchedule} */ (
    jspb.Message.getWrapperField(this, proto.interconnectionmodule.InterconnectionSchedule, 3));
};


/**
 * @param {?proto.interconnectionmodule.InterconnectionSchedule|undefined} value
 * @return {!proto.interconnectionmodule.InterconnectionPlannedScheduleProfile} returns this
*/
proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.prototype.setInterconnectionschedule = function (value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.interconnectionmodule.InterconnectionPlannedScheduleProfile} returns this
 */
proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.prototype.clearInterconnectionschedule = function () {
  return this.setInterconnectionschedule(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.prototype.hasInterconnectionschedule = function () {
  return jspb.Message.getField(this, 3) != null;
};


/**
 * optional commonmodule.ConductingEquipment tiePoint = 4;
 * @return {?proto.commonmodule.ConductingEquipment}
 */
proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.prototype.getTiepoint = function () {
  return /** @type{?proto.commonmodule.ConductingEquipment} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ConductingEquipment, 4));
};


/**
 * @param {?proto.commonmodule.ConductingEquipment|undefined} value
 * @return {!proto.interconnectionmodule.InterconnectionPlannedScheduleProfile} returns this
*/
proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.prototype.setTiepoint = function (value) {
  return jspb.Message.setWrapperField(this, 4, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.interconnectionmodule.InterconnectionPlannedScheduleProfile} returns this
 */
proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.prototype.clearTiepoint = function () {
  return this.setTiepoint(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.prototype.hasTiepoint = function () {
  return jspb.Message.getField(this, 4) != null;
};


/**
 * optional commonmodule.ApplicationSystem responderCircuitSegmentService = 5;
 * @return {?proto.commonmodule.ApplicationSystem}
 */
proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.prototype.getRespondercircuitsegmentservice = function () {
  return /** @type{?proto.commonmodule.ApplicationSystem} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ApplicationSystem, 5));
};


/**
 * @param {?proto.commonmodule.ApplicationSystem|undefined} value
 * @return {!proto.interconnectionmodule.InterconnectionPlannedScheduleProfile} returns this
*/
proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.prototype.setRespondercircuitsegmentservice = function (value) {
  return jspb.Message.setWrapperField(this, 5, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.interconnectionmodule.InterconnectionPlannedScheduleProfile} returns this
 */
proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.prototype.clearRespondercircuitsegmentservice = function () {
  return this.setRespondercircuitsegmentservice(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.interconnectionmodule.InterconnectionPlannedScheduleProfile.prototype.hasRespondercircuitsegmentservice = function () {
  return jspb.Message.getField(this, 5) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.prototype.toObject = function (opt_includeInstance) {
    return proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.interconnectionmodule.InterconnectionRequestedScheduleProfile} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.toObject = function (includeInstance, msg) {
    var f, obj = {
      controlmessageinfo: (f = msg.getControlmessageinfo()) && commonmodule_commonmodule_pb.ControlMessageInfo.toObject(includeInstance, f),
      requestercircuitsegmentservice: (f = msg.getRequestercircuitsegmentservice()) && commonmodule_commonmodule_pb.ApplicationSystem.toObject(includeInstance, f),
      interconnectionschedule: (f = msg.getInterconnectionschedule()) && proto.interconnectionmodule.InterconnectionSchedule.toObject(includeInstance, f),
      tiepoint: (f = msg.getTiepoint()) && commonmodule_commonmodule_pb.ConductingEquipment.toObject(includeInstance, f),
      respondercircuitsegmentservice: (f = msg.getRespondercircuitsegmentservice()) && commonmodule_commonmodule_pb.ApplicationSystem.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.interconnectionmodule.InterconnectionRequestedScheduleProfile}
 */
proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.interconnectionmodule.InterconnectionRequestedScheduleProfile;
  return proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.interconnectionmodule.InterconnectionRequestedScheduleProfile} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.interconnectionmodule.InterconnectionRequestedScheduleProfile}
 */
proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.ControlMessageInfo;
        reader.readMessage(value, commonmodule_commonmodule_pb.ControlMessageInfo.deserializeBinaryFromReader);
        msg.setControlmessageinfo(value);
        break;
      case 2:
        var value = new commonmodule_commonmodule_pb.ApplicationSystem;
        reader.readMessage(value, commonmodule_commonmodule_pb.ApplicationSystem.deserializeBinaryFromReader);
        msg.setRequestercircuitsegmentservice(value);
        break;
      case 3:
        var value = new proto.interconnectionmodule.InterconnectionSchedule;
        reader.readMessage(value, proto.interconnectionmodule.InterconnectionSchedule.deserializeBinaryFromReader);
        msg.setInterconnectionschedule(value);
        break;
      case 4:
        var value = new commonmodule_commonmodule_pb.ConductingEquipment;
        reader.readMessage(value, commonmodule_commonmodule_pb.ConductingEquipment.deserializeBinaryFromReader);
        msg.setTiepoint(value);
        break;
      case 5:
        var value = new commonmodule_commonmodule_pb.ApplicationSystem;
        reader.readMessage(value, commonmodule_commonmodule_pb.ApplicationSystem.deserializeBinaryFromReader);
        msg.setRespondercircuitsegmentservice(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.interconnectionmodule.InterconnectionRequestedScheduleProfile} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getControlmessageinfo();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.ControlMessageInfo.serializeBinaryToWriter
    );
  }
  f = message.getRequestercircuitsegmentservice();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      commonmodule_commonmodule_pb.ApplicationSystem.serializeBinaryToWriter
    );
  }
  f = message.getInterconnectionschedule();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      proto.interconnectionmodule.InterconnectionSchedule.serializeBinaryToWriter
    );
  }
  f = message.getTiepoint();
  if (f != null) {
    writer.writeMessage(
      4,
      f,
      commonmodule_commonmodule_pb.ConductingEquipment.serializeBinaryToWriter
    );
  }
  f = message.getRespondercircuitsegmentservice();
  if (f != null) {
    writer.writeMessage(
      5,
      f,
      commonmodule_commonmodule_pb.ApplicationSystem.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.ControlMessageInfo controlMessageInfo = 1;
 * @return {?proto.commonmodule.ControlMessageInfo}
 */
proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.prototype.getControlmessageinfo = function () {
  return /** @type{?proto.commonmodule.ControlMessageInfo} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ControlMessageInfo, 1));
};


/**
 * @param {?proto.commonmodule.ControlMessageInfo|undefined} value
 * @return {!proto.interconnectionmodule.InterconnectionRequestedScheduleProfile} returns this
*/
proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.prototype.setControlmessageinfo = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.interconnectionmodule.InterconnectionRequestedScheduleProfile} returns this
 */
proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.prototype.clearControlmessageinfo = function () {
  return this.setControlmessageinfo(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.prototype.hasControlmessageinfo = function () {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional commonmodule.ApplicationSystem requesterCircuitSegmentService = 2;
 * @return {?proto.commonmodule.ApplicationSystem}
 */
proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.prototype.getRequestercircuitsegmentservice = function () {
  return /** @type{?proto.commonmodule.ApplicationSystem} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ApplicationSystem, 2));
};


/**
 * @param {?proto.commonmodule.ApplicationSystem|undefined} value
 * @return {!proto.interconnectionmodule.InterconnectionRequestedScheduleProfile} returns this
*/
proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.prototype.setRequestercircuitsegmentservice = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.interconnectionmodule.InterconnectionRequestedScheduleProfile} returns this
 */
proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.prototype.clearRequestercircuitsegmentservice = function () {
  return this.setRequestercircuitsegmentservice(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.prototype.hasRequestercircuitsegmentservice = function () {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional InterconnectionSchedule interconnectionSchedule = 3;
 * @return {?proto.interconnectionmodule.InterconnectionSchedule}
 */
proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.prototype.getInterconnectionschedule = function () {
  return /** @type{?proto.interconnectionmodule.InterconnectionSchedule} */ (
    jspb.Message.getWrapperField(this, proto.interconnectionmodule.InterconnectionSchedule, 3));
};


/**
 * @param {?proto.interconnectionmodule.InterconnectionSchedule|undefined} value
 * @return {!proto.interconnectionmodule.InterconnectionRequestedScheduleProfile} returns this
*/
proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.prototype.setInterconnectionschedule = function (value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.interconnectionmodule.InterconnectionRequestedScheduleProfile} returns this
 */
proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.prototype.clearInterconnectionschedule = function () {
  return this.setInterconnectionschedule(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.prototype.hasInterconnectionschedule = function () {
  return jspb.Message.getField(this, 3) != null;
};


/**
 * optional commonmodule.ConductingEquipment tiePoint = 4;
 * @return {?proto.commonmodule.ConductingEquipment}
 */
proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.prototype.getTiepoint = function () {
  return /** @type{?proto.commonmodule.ConductingEquipment} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ConductingEquipment, 4));
};


/**
 * @param {?proto.commonmodule.ConductingEquipment|undefined} value
 * @return {!proto.interconnectionmodule.InterconnectionRequestedScheduleProfile} returns this
*/
proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.prototype.setTiepoint = function (value) {
  return jspb.Message.setWrapperField(this, 4, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.interconnectionmodule.InterconnectionRequestedScheduleProfile} returns this
 */
proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.prototype.clearTiepoint = function () {
  return this.setTiepoint(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.prototype.hasTiepoint = function () {
  return jspb.Message.getField(this, 4) != null;
};


/**
 * optional commonmodule.ApplicationSystem responderCircuitSegmentService = 5;
 * @return {?proto.commonmodule.ApplicationSystem}
 */
proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.prototype.getRespondercircuitsegmentservice = function () {
  return /** @type{?proto.commonmodule.ApplicationSystem} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ApplicationSystem, 5));
};


/**
 * @param {?proto.commonmodule.ApplicationSystem|undefined} value
 * @return {!proto.interconnectionmodule.InterconnectionRequestedScheduleProfile} returns this
*/
proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.prototype.setRespondercircuitsegmentservice = function (value) {
  return jspb.Message.setWrapperField(this, 5, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.interconnectionmodule.InterconnectionRequestedScheduleProfile} returns this
 */
proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.prototype.clearRespondercircuitsegmentservice = function () {
  return this.setRespondercircuitsegmentservice(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.interconnectionmodule.InterconnectionRequestedScheduleProfile.prototype.hasRespondercircuitsegmentservice = function () {
  return jspb.Message.getField(this, 5) != null;
};


goog.object.extend(exports, proto.interconnectionmodule);
